'use strict';

const modal001Button = document.querySelector('[data-modal="modal001"]');
console.log(modal001Button);
const modal002Button = document.querySelector('[data-modal="modal002"]');
console.log(modal001Button);
const modal003Button = document.querySelector('[data-modal="modal003"]');
console.log(modal001Button);
const modalCloseBtns = document.querySelectorAll('[data-modal="close"]');
console.log(modalCloseBtns);

/* モーダルを消す動作 */
modalCloseBtns.forEach(modalCloseBtn => {
  modalCloseBtn.addEventListener('click', function() {
    document.querySelector('[data-modal="bg"]').classList.remove('is-active');
    document.querySelector('[data-modal="inner"]').classList.remove('is-active');
    document.querySelector('[data-modal="box-modal001"]').classList.remove('is-active');
    document.querySelector('[data-modal="box-modal002"]').classList.remove('is-active');
    document.querySelector('[data-modal="box-modal003"]').classList.remove('is-active');
  });
});

/* モーダルを表示 */
modal001Button.addEventListener('click', function(e) {
  e.preventDefault();
  document.querySelector('[data-modal="bg"]').classList.add('is-active');
  document.querySelector('[data-modal="inner"]').classList.add('is-active');
  document.querySelector('[data-modal="box-modal001"]').classList.add('is-active');
});
modal002Button.addEventListener('click', function(e) {
  e.preventDefault();
  document.querySelector('[data-modal="bg"]').classList.add('is-active');
  document.querySelector('[data-modal="inner"]').classList.add('is-active');
  document.querySelector('[data-modal="box-modal002"]').classList.add('is-active');
});
modal003Button.addEventListener('click', function(e) {
  e.preventDefault();
  document.querySelector('[data-modal="bg"]').classList.add('is-active');
  document.querySelector('[data-modal="inner"]').classList.add('is-active');
  document.querySelector('[data-modal="box-modal003"]').classList.add('is-active');
});

